<!--ch5, k58, kreiran bazni file kojeg ce nasljedivat ostali templateovi-->

{% load static %} <!--k5, omogucuje ucitavanje staticnih fileova koristenje staticnih tagova-->

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title%}{% endblock %}</title> <!--dinamicki elementi-->
    <link rel="stylesheet" href="{% static "app.css"%}"> <!--linkanje da se mogu css fileovi za styling koristiti, ali ne zaboravi u settings.py dodat STATICFILES_DIRS da bi mogli docido filea-->
    {% block css_files %}{% endblock %} <!--omogucuje da templateovi koji nasljeduju ovaj file mogu injektirati svoj css kod koji ureduje header-->
</head>

<body>
    <!--ch5,k61, header iz index.html prebacen tu-->
    <header id="main-nvigation">   <!--ch5, k59, dodan header u kojem ce bit link na pocetniu site i link na sajt sa svim postovima-->
        <h1><a href="{% url "starting-page" %}">Toni's Blog</h1> <!--ch5.k62 dodan link koji vodi na homepage-->
            <nav>
                <a href="{% url "posts-page"%}">All Posts</a> <!--ch5.k62 dodan link koji vodi na starting page-->
            </nav>
    </header>
    {% block content %}{% endblock %}
</body>
</html>